from Tkinter import *

root = Tk()
inVal = DoubleVar();
frame = Frame(root);
frame.pack();
outputLabel = Label(frame, text="0.0", width=20);
outputLabel.grid(column=1,row=1);
outputName = Label(frame, text="Celsius", width=20);
outputName.grid(column=1, row=0);

def convert_temp():
	dval = inVal.get();
	dval = (dval-32)*5.0/9.0;
	outputLabel["text"] = str(dval);
	

inputEntry = Entry(frame, textvariable=inVal);
inputEntry.grid(column=0,row=1);
inputName = Label(frame, text="Fahrenheit");
inputName.grid(column=0, row=0);

convertButton = Button(frame, text="Convert", command=convert_temp);
convertButton.grid(row=2, column=0, columnspan=2);

root.mainloop()